Bug 240520 - Outdated linux/nfs_mount.h header file with different NFS_MOUNT_VERSION value
Summary: Outdated linux/nfs_mount.h header file with different NFS_MOUNT_VERSION value
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc-kernheaders (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ric Wheeler
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240521
TreeView+ depends on / blocked
 
Reported: 2007-05-18 04:33 UTC by Eugene Teo (Security Response)
Modified: 2018-10-19 22:24 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0746
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 20:00:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0746 normal SHIPPED_LIVE glibc-kernheaders bug fix and enhancement update 2008-07-23 17:07:24 UTC

Description Eugene Teo (Security Response) 2007-05-18 04:33:08 UTC
Description of problem:
The linux/nfs_mount.h header file from glibc-kernheaders-2.4-9.1.100.EL rpm does
not tally with the linux/nfs_mount.h header file from kernel-2.6.9-55.EL rpm. As
a result, the am-utils-6.0.9-15.RHEL4 rpm that is built against an older version
of linux/nfs_mount.h, will trigger a lot of warning messages "kernel: nfs
warning: mount version older than kernel" in the logs.

[root@padme linux]# pwd
/usr/src/redhat/BUILD/kernel-2.6.9/linux-2.6.9/include/linux
[root@padme linux]# grep -r NFS_MOUNT_VERSION .
./nfs_mount.h:#define NFS_MOUNT_VERSION 6
[root@padme include]# pwd
/usr/include
[root@padme include]# grep NFS_MOUNT_VERSION ./linux/nfs_mount.h
#define NFS_MOUNT_VERSION       4

Version-Release number of selected component (if applicable):
glibc-kernheaders-2.4-9.1.100.EL
am-utils-6.0.9-15.RHEL4
kernel-2.6.9-55.EL

How reproducible:
Always.

Steps to Reproduce:
1. Install am-utils
2. tail -f /var/log/messages &
3. service amd start

You will be able to see the warning messages.

Actual results:
"kernel: nfs warning: mount version older than kernel" messages appeared in logs.

Expected results:
"kernel: nfs warning: mount version older than kernel" messages should not
appear in logs.

Additional info:
By using the kernel headers from a more recent kernel, and rebuilding the amd
RPM would help resolve this problem.

Comment 5 RHEL Product and Program Management 2007-12-18 21:55:33 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 13 errata-xmlrpc 2008-07-24 20:00:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0746.html


Note You need to log in before you can comment on or make changes to this bug.